#ifndef PUMP_HPP_
#define PUMP_HPP_

#include <Block/SpriteBlock/SpriteBlock.hpp>
#include <Block/MachineBlockMixin.hpp>
#include <Machine/MPump/MPump.hpp>

class Pump : public SpriteBlock, public MachineBlockMixin<MPump>
{
private:
    static std::vector<Sprite> makeSprites();

public:
    Pump(std::string name);

    virtual bool canManuallyDig() override;
    virtual void onInteract(LocalWorld &world, Player &player, glm::ivec3 pos, Side side, const RGBABytes &collisionKey) override;
};

#endif